@import "./variables.scss";

/************************
  * SELECT OPTIONS

  // left: 0;
	// top: calc(100% + 3px)
************************/
.r-options {
	-webkit-user-select: none;
	-moz-user-select: none;
	user-select: none;
	display: none;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14),
    0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
	position: absolute;
	width: 100%;
	background: #fff;
	z-index: 9;
}


.r-options-items {
	max-height: 300px;
  overflow-y: auto;
}

.active .r-options {
  display: block;
}

.r-options-item {
	position: relative;
	padding: 12px 0;
	padding-left: 16px;
	color: $text-color;
	font-size: $text-size;
	cursor: pointer;
}
.r-options-item.add-item {
	display: flex;
	overflow: hidden;
	text-overflow: ellipsis;
	white-space: nowrap;
}

.r-option-icon {
	position: absolute;
	height: 24px;
	width: 24px;
	overflow: hidden;
	left: 8px;
  top: 10px;
}
.r-options {
  -webkit-user-select: none;
  -moz-user-select: none;
  user-select: none;
  display: none;
  box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.14),
    0 3px 1px -2px rgba(0, 0, 0, 0.12), 0 1px 5px 0 rgba(0, 0, 0, 0.2);
  position: absolute;
  width: 100%;
  background: #fff;
  z-index: 99999;
  left: 0;
  top: calc(100% + 3px);
}

.r-options-items {
  max-height: 300px;
  overflow-y: auto;
}

.active .r-options {
  display: block;
}

.r-options-item {
  position: relative;
  padding: 12px 0;
  padding-left: 16px;
  cursor: pointer;
}
.r-options-item:focus {
  background: red;
}
.r-option-icon {
  position: absolute;
  height: 24px;
  width: 24px;
  overflow: hidden;
  left: 8px;
  top: 10px;
}

/* Has Icon */
.r-has-icon .r-option-icon {
	text-align: center;
	font-size: 25px;
}

.r-has-icon .r-option-icon span {
	position: relative;
	top: -3px;
  color: $text-color;
}

.r-has-icon .r-option-icon>svg {
	width: 24px;
	height: 24px;
  fill: $text-color;
}

.r-has-icon .r-options-item {
  padding-left: 40px;
}

.r-options-item:hover,
.r-options-item.selected {
  background: #f2f2f2;
}

.r-options-search {
	width: 100%;
   border-bottom: 1px solid #ccc;
  
  }
  
  .r-options-search > input {
	width: 100%;
  border: none !important;
	border-radius: 0;
	outline: 0;
   
  padding: 20px 16px !important;
	font-size: 13px;
	color: #333;
	font-family: inherit;
	background: none;
 }

/* RTL */

.r-input.r-rtl>.r-options {
	text-align: right;
  direction: rtl;
}

.r-input.r-rtl .r-options-item {
	padding-left: unset;
	padding-right: 16px;
}

.r-input.r-rtl.r-has-icon .r-option-icon {
	left: unset;
	right: 8px;
}

.r-input.r-rtl.r-has-icon .r-options-item {
	padding-left: unset;
  padding-right: 40px;
}
